#
# spec file for package keyutils (Version 1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           keyutils
Url:            http://people.redhat.com/~dhowells/keyutils/
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Kernel
AutoReqProv:    on
Summary:        Linux Key Management Utilities
Version:        1.2
Release:        107.4.34
Source0:        http://people.redhat.com/~dhowells/keyutils/%name-%version.tar.bz2
Patch0:         keyutils-1.2-strict-aliasing-punning.patch
Patch1:         request-key-cifs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.



Authors:
--------
    David Howells <dhowells@redhat.com>

%package libs
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Key utilities library
Group:          System/Kernel

%description libs
This package provides a wrapper library for the key management facility
system calls.



Authors:
--------
    David Howells <dhowells@redhat.com>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Development package for building linux key management utilities
Group:          System/Kernel
Requires:       %{name}-libs = %{version} glibc-devel 

%description devel
This package provides headers and libraries for building key utilities.



Authors:
--------
    David Howells <dhowells@redhat.com>

%prep
%setup -q
%patch0
%patch1

%build
make NO_ARLIB=1 CFLAGS="$RPM_OPT_FLAGS"

%install
make install NO_ARLIB=1 DESTDIR=$RPM_BUILD_ROOT LIBDIR=/%_lib USRLIBDIR=/usr/%_lib

%post libs -p /sbin/ldconfig 

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README LICENCE.GPL
/sbin/*
/bin/*
/usr/share/keyutils
%{_mandir}/*/*
%config(noreplace) /etc/*

%files libs
%defattr(-,root,root,-)
%doc LICENCE.LGPL
/%{_lib}/libkeyutils-*.so
/%{_lib}/libkeyutils.so.*

%files devel
%defattr(-,root,root,-)
/usr/%{_lib}/libkeyutils.so
%{_includedir}/*

%changelog
* Mon Nov 24 2008 meissner@suse.de
- added 2 cifs helpers to request-key.conf (for CIFS DFS support)
  bnc#432494, FATE#303758
* Thu Nov 13 2008 crrodriguez@suse.de
- build request-key.c with -fno-strict-aliasing to avoid
  possible breakages
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 14 2006 meissner@suse.de
- Upgraded to 1.2.
  - call ldconfig
  - removed manpages (now in global man-pages)
* Wed Jul 19 2006 meissner@suse.de
- Upgraded to 1.1.
  - cleanups, new manpage.
- no static lib anymore (like upstream).
* Fri Apr 21 2006 meissner@suse.de
- initial import of version 1.0.
